import { getServiceGraph, getSpecmaticContractsListing } from '../../models/contracts.js';
import { githubQueryContextInputParser, queryContextInputParser, } from '../../models/utils.js';
import { passInputTo, t } from './trpc.js';
export default t.router({
    getServiceGraph: t.procedure
        .input(queryContextInputParser.or(githubQueryContextInputParser))
        .query(passInputTo(getServiceGraph)),
    getSpecmaticContractsListing: t.procedure
        .input(queryContextInputParser.or(githubQueryContextInputParser))
        .query(passInputTo(getSpecmaticContractsListing)),
});
